Subject: bug#31311: 27.0; doc of `pcase'

From: Michael Heerdegen <[email-masked]>
Date: Sun, 29 Apr 2018 22:00:53 +0200

Drew Adams <[email-masked]> writes:

> That's not happening at all now, I think.  For the time
> being, i.e., until someone can translate that core meaning
> (what you really expect it to be trying to say) into
> understandable text, it should be removed.  Please consider
> moving it to a TODO item somewhere, if you like.  But maybe
> others disagree and only I have trouble seeing what that
> text is all about.

Yes, that's the case.  It's not your fault that you don't understand
what the text is about, however.

> Beyond that, if it is about showing examples of defining
> additional `pcase' patterns in the Emacs code then I
> don't think that kind of thing belongs in a doc string -
> certainly not multiple such examples.

These are not examples.  These are the descriptions of the semantics of
additionally defined pattern types.  Yes, there's a sentence missing
saying something like "the following additional pattern types are
currently defined" or so.

Michael.